"use strict";
const common_vendor = require("../../common/vendor.js");
const utils_previewImage = require("../../utils/previewImage.js");
if (!Math) {
  NoData();
}
const NoData = () => "../../components/noData.js";
const _sfc_main = {
  __name: "student",
  setup(__props) {
    common_vendor.onLoad((options) => {
      msg.value = JSON.parse(options.msg);
    });
    const msg = common_vendor.ref({});
    const callPhone = (phoneNumber) => {
      common_vendor.index.makePhoneCall({
        phoneNumber
      });
    };
    return (_ctx, _cache) => {
      var _a, _b;
      return common_vendor.e({
        a: msg.value.headImage || "../../static/images/user-photo.png",
        b: common_vendor.o(($event) => common_vendor.unref(utils_previewImage.previewImage)(msg.value.headImage || "../../static/images/user-photo.png")),
        c: common_vendor.t(msg.value.name),
        d: common_vendor.t(msg.value.cardNo),
        e: common_vendor.f(msg.value.userParents, (item, k0, i0) => {
          return {
            a: item.headImage || "../../static/images/user-photo.png",
            b: common_vendor.o(($event) => common_vendor.unref(utils_previewImage.previewImage)(item.headImage || "../../static/images/user-photo.png"), item.id),
            c: common_vendor.t(item.name),
            d: common_vendor.t(item.phone),
            e: common_vendor.o(($event) => callPhone(item.phone), item.id),
            f: item.id
          };
        }),
        f: !((_a = msg.value.userParents) == null ? void 0 : _a.length)
      }, !((_b = msg.value.userParents) == null ? void 0 : _b.length) ? {} : {});
    };
  }
};
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-809c9d48"], ["__file", "E:/workSpace/WanZai_School_app/pages/student/student.vue"]]);
wx.createPage(MiniProgramPage);
